Subject: Re: pwd and case
From: [email-masked] (Geoffrey Noer)

1 Jul 1997 16:29:40 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Robert Mecklenburg)
Original-Cc: [email-masked]
In-Reply-To: <199706301611.MAA03946@phldev1> from "Robert Mecklenburg" at Jun 30, 97 12:11:28 pm
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Robert Mecklenburg wrote:
> 
> We are attempting to port a complex build environment from Unix to NT
> and have a problem with pwd.  When I execute pwd (through a maze or
> emacs subshells, make, and bash) then case of the result is typically
> not what I expect.  For instance, pwd returns "//d/Users/mecklen"
> instead of "//D/Users/Mecklen".  Since I use sed and other text tools
> to compute other directory values this causes problems.  So a couple
> of questions:
> 
> Has anyone else seen this problem?
> How does pwd compute the case of the current directory?

If I were you, I would mount D: to /d and then refer to paths using
/d instead.  Alternatively, use UNC paths.  (The double backslash
shortcut may go away in the future).

This may also resolve your case problem.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".